#ifndef INC_LIBNAW_DEFS_H
#define INC_LIBNAW_DEFS_H

#define INIT_CLI  0
#define INIT_SRV  1
#define INIT_NONE 2

/* up to 255 actions */
#define ACTION_DENY  0x01
#define ACTION_ALLOW 0x02

#define NAW_YES  0
#define NAW_OK   0
#define NAW_NO  -1
#define NAW_ERR -2

/* up to 8 flags */
#define FLAG_NET_ALLOW_ENDPOINTS  0x01
#define FLAG_LOG                  0x02
#define UNUSED_3                  0x04
#define UNUSED_4                  0x08
#define UNUSED_5                  0x10
#define UNUSED_6                  0x20
#define UNUSED_7                  0x40
#define UNUSED_8                  0x80


#define NAW_CONFIG_CLI NAW_CONFIGDIR"/config_cli.cdb"
#define NAW_CONFIG_SRV NAW_CONFIGDIR"/config_srv.cdb"
#define NAW_FLUSH_TRIGGER NAW_CONFIGDIR"/flush"

#endif
