#ifndef MODULES_SYSLOG_H
#define MODULES_SYSLOG_H

#undef c_name
#undef c_val
typedef struct {
   const char  *c_name;
   int     c_val;
} NAW_CODE;

NAW_CODE fac_names[] = {
   { "auth",   LOG_AUTH    },
   { "cron",   LOG_CRON    },
   { "daemon", LOG_DAEMON  },
   { "kern",   LOG_KERN    },
   { "mail",   LOG_MAIL    },
   { "news",   LOG_NEWS    },
   { "syslog", LOG_SYSLOG  },
   { "user",   LOG_USER    },
   { "uucp",   LOG_UUCP    },
   { "local0", LOG_LOCAL0  },
   { "local1", LOG_LOCAL1  },
   { "local2", LOG_LOCAL2  },
   { "local3", LOG_LOCAL3  },
   { "local4", LOG_LOCAL4  },
   { "local5", LOG_LOCAL5  },
   { "local6", LOG_LOCAL6  },
   { "local7", LOG_LOCAL7  },
   { 0,        -1          }
};

#endif /* MODULES_SYSLOG_H */
