#include "misc.h"
#include "naw.h"

/***************************************************************************
  naw_test_module_accept

  takes the place of both 'accept' and 'reject' actions.  Only returns YES,
  so 'deny' actions will result in rejection, and 'accept' actions will
  result in access.
 ***************************************************************************/

static int naw_test_module_accept (handle, data)
    naw_handle *handle;
    naw_data *data;
{
    return NAW_YES;
}

struct naw_modfuncset naw_set = {
    naw_test_module_accept,  /* accept  */
    naw_test_module_accept,  /* connect */
    0,                       /* init    */
    0,                       /* fini    */
};

