#include <lx_string.h>
#include "misc.h"
#include "cfg_stuff.h"

void
cfg_add_word(dst, src)
    lx_s *dst, *src;
{
    if (dst->s) if (lx_cadd (dst, ' ')) die_nomem();
    if (lx_strcat(dst, src)) die_nomem();
}

void
cfg_get_word(gd, dst, src)
    lx_gd *gd;
    lx_s *dst;
    lx_s *src;
{
    int wordlen = cfg_length_word (gd, src);

    if (wordlen == -1) {
        dst->len = 0;
        return;
    }

    if (lx_striset (dst, src->s, wordlen)) die_nomem();

    cfg_line_advance (src, wordlen);
}
