#!/usr/bin/ksh

EXCLUDE="_init"

for sym in `grep extern func.h |sed 's/.*[       *]\([a-zA-Z_*]\{1,\}\)[         ]*(.*/\1/'`; do
  if [[ "x$sym" != xnaw_* ]]; then

    breakout=0
    for ex in $EXCLUDE; do
      if [[ "x$sym" = "x$ex" ]]; then
        breakout=1
      fi
    done
    [ $breakout -ne 0 ] && continue

    grep "^#[   ]*define[   ]*\<$sym\>[     ]*\<naw_$sym\>" transfunc.h >/dev/null
    [ $? -eq 0 ] && continue
    echo "need $sym"
    conflict=`grep "\<naw_$sym\>" func.h`
    [ $? -eq 0 ] && echo "may conflict: $conflict"
  fi
done

